Main Page Widgets Namespaces Book

# Gtk::Object Class Reference

Inheritance diagram for Gtk::Object:

[legend]
List of all members.

## Public Member Functions

virtual | ~Object ()
GtkObject* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkObject* | gobj () const
| Provides access to the underlying C GtkObject.
virtual void | set_manage ()
Glib::PropertyProxy<void*> | property_user_data ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< void* > | property_user_data () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
bool | is_managed_ () const

## Protected Member Functions

void | destroy_ ()
void | _init_unmanage (bool is_toplevel=false)
virtual void | destroy_notify_ ()
void | disconnect_cpp_wrapper ()
void | _destroy_c_instance ()

## Static Protected Member Functions

void | callback_destroy_ (GObject* gobject, void* data)

## Protected Attributes

bool | referenced_
bool | gobject_disposed_

## Related Functions

(Note that these are not member functions.)
Gtk::Object* | wrap (GtkObject* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Object::~Object | ( |  | ) | `[virtual]`

| Reimplemented from Glib::Object.

## Member Function Documentation

void Gtk::Object::_destroy_c_instance | ( |  | ) | `[protected]`

| Reimplemented in Gtk::Window.

void Gtk::Object::_init_unmanage | ( | bool | is_toplevel = `false` | ) | `[protected]`

void Gtk::Object::callback_destroy_ | ( | GObject* | gobject,
|  | void* | data
| ) | `[static, protected]`

void Gtk::Object::destroy_ | ( |  | ) | `[protected]`

| Reimplemented in Gtk::Window.

virtual void Gtk::Object::destroy_notify_ | ( |  | ) | `[protected, virtual]`

| Reimplemented from Glib::ObjectBase.

void Gtk::Object::disconnect_cpp_wrapper | ( |  | ) | `[protected]`

const GtkObject* Gtk::Object::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gtk::AccelLabel, Gtk::Adjustment, Gtk::Alignment, Gtk::Arrow, Gtk::AspectFrame, Gtk::Bin, Gtk::Box, Gtk::VBox, Gtk::HBox, Gtk::Button, Gtk::ButtonBox, Gtk::VButtonBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::CellRenderer, Gtk::CellRendererPixbuf, Gtk::CellRendererText, Gtk::CellRendererToggle, Gtk::CheckButton, Gtk::CheckMenuItem, Gtk::ColorButton, Gtk::ColorSelection, Gtk::ColorSelectionDialog, Gtk::ComboDropDownItem, Gtk::ComboDropDown, Gtk::Combo, Gtk::ComboBox, Gtk::ComboBoxEntry, Gtk::Container, Gtk::Curve, Gtk::GammaCurve, Gtk::Dialog, Gtk::DrawingArea, Gtk::Entry, Gtk::EventBox, Gtk::Expander, Gtk::FileChooserDialog, Gtk::FileChooserWidget, Gtk::FileFilter, Gtk::FileSelection, Gtk::Fixed, Gtk::FontButton, Gtk::FontSelection, Gtk::FontSelectionDialog, Gtk::Frame, Gtk::HandleBox, Gtk::Image, Gtk::ImageMenuItem, Gtk::InputDialog, Gtk::Invisible, Gtk::Item, Gtk::Label, Gtk::Layout, Gtk::Menu, Gtk::MenuBar, Gtk::MenuItem, Gtk::MenuShell, Gtk::MessageDialog, Gtk::Misc, Gtk::Notebook, Gtk::OptionMenu, Gtk::Paned, Gtk::HPaned, Gtk::VPaned, Gtk::Plug, Gtk::ProgressBar, Gtk::RadioButton, Gtk::RadioMenuItem, Gtk::RadioToolButton, Gtk::Range, Gtk::Ruler, Gtk::VRuler, Gtk::HRuler, Gtk::Scale, Gtk::VScale, Gtk::HScale, Gtk::Scrollbar, Gtk::VScrollbar, Gtk::HScrollbar, Gtk::ScrolledWindow, Gtk::Separator, Gtk::VSeparator, Gtk::HSeparator, Gtk::SeparatorMenuItem, Gtk::SeparatorToolItem, Gtk::Socket, Gtk::SpinButton, Gtk::Statusbar, Gtk::Table, Gtk::TearoffMenuItem, Gtk::TextView, Gtk::ToggleButton, Gtk::ToggleToolButton, Gtk::Toolbar, Gtk::ToolButton, Gtk::ToolItem, Gtk::Tooltips, Gtk::TreeView, Gtk::TreeViewColumn, Gtk::Viewport, Gtk::Widget, and Gtk::Window.

GtkObject* Gtk::Object::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gtk::AccelLabel, Gtk::Adjustment, Gtk::Alignment, Gtk::Arrow, Gtk::AspectFrame, Gtk::Bin, Gtk::Box, Gtk::VBox, Gtk::HBox, Gtk::Button, Gtk::ButtonBox, Gtk::VButtonBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::CellRenderer, Gtk::CellRendererPixbuf, Gtk::CellRendererText, Gtk::CellRendererToggle, Gtk::CheckButton, Gtk::CheckMenuItem, Gtk::ColorButton, Gtk::ColorSelection, Gtk::ColorSelectionDialog, Gtk::ComboDropDownItem, Gtk::ComboDropDown, Gtk::Combo, Gtk::ComboBox, Gtk::ComboBoxEntry, Gtk::Container, Gtk::Curve, Gtk::GammaCurve, Gtk::Dialog, Gtk::DrawingArea, Gtk::Entry, Gtk::EventBox, Gtk::Expander, Gtk::FileChooserDialog, Gtk::FileChooserWidget, Gtk::FileFilter, Gtk::FileSelection, Gtk::Fixed, Gtk::FontButton, Gtk::FontSelection, Gtk::FontSelectionDialog, Gtk::Frame, Gtk::HandleBox, Gtk::Image, Gtk::ImageMenuItem, Gtk::InputDialog, Gtk::Invisible, Gtk::Item, Gtk::Label, Gtk::Layout, Gtk::Menu, Gtk::MenuBar, Gtk::MenuItem, Gtk::MenuShell, Gtk::MessageDialog, Gtk::Misc, Gtk::Notebook, Gtk::OptionMenu, Gtk::Paned, Gtk::HPaned, Gtk::VPaned, Gtk::Plug, Gtk::ProgressBar, Gtk::RadioButton, Gtk::RadioMenuItem, Gtk::RadioToolButton, Gtk::Range, Gtk::Ruler, Gtk::VRuler, Gtk::HRuler, Gtk::Scale, Gtk::VScale, Gtk::HScale, Gtk::Scrollbar, Gtk::VScrollbar, Gtk::HScrollbar, Gtk::ScrolledWindow, Gtk::Separator, Gtk::VSeparator, Gtk::HSeparator, Gtk::SeparatorMenuItem, Gtk::SeparatorToolItem, Gtk::Socket, Gtk::SpinButton, Gtk::Statusbar, Gtk::Table, Gtk::TearoffMenuItem, Gtk::TextView, Gtk::ToggleButton, Gtk::ToggleToolButton, Gtk::Toolbar, Gtk::ToolButton, Gtk::ToolItem, Gtk::Tooltips, Gtk::TreeView, Gtk::TreeViewColumn, Gtk::Viewport, Gtk::Widget, and Gtk::Window.

bool Gtk::Object::is_managed_ | ( |  | ) | const

Glib::PropertyProxy_ReadOnly<void*> Gtk::Object::property_user_data | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<void*> Gtk::Object::property_user_data | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

virtual void Gtk::Object::set_manage | ( |  | ) | `[virtual]`

| Reimplemented in Gtk::Window.

## Friends And Related Function Documentation

Gtk::Object* wrap | ( | GtkObject* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

bool Gtk::Object::gobject_disposed_`[protected]`

bool Gtk::Object::referenced_`[protected]`

The documentation for this class was generated from the following file:

- gtk/gtkmm/object.h